Changeset 2711


Ignore:
Timestamp:
Mar 31, 2013 4:41:02 PM (7 years ago)
Author:
stefan
Message:

update to Glpk 4.48

Location:
ThirdParty/Glpk/trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r2639 r2711  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.47.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.48.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.47.tar.gz
    21 tar xf glpk-4.47.tar
     20gunzip glpk-4.48.tar.gz
     21tar xf glpk-4.48.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.47
     24  glpk-4.48
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/configure

    r2652 r2711  
    10671067                          icl/link). Default when mentioned: mingw. Default
    10681068                          when not mentioned: disabled.
     1069
    10691070  --disable-pkg-config    disable use of pkg-config (if available)
    10701071  --enable-static[=PKGS]
     
    19051906echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19061907  fi
     1908
     1909
     1910# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1911if test "${enable_static_standardlibs+set}" = set; then
     1912  enableval="$enable_static_standardlibs"
     1913  case "$enableval" in
     1914     no | yes | auto ) ;;
     1915     *)
     1916       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1917echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1918   { (exit 1); exit 1; }; } ;;
     1919   esac
     1920   use_static_standardlibs=$enableval
     1921else
     1922  use_static_standardlibs=no
     1923fi;
     1924
    19071925
    19081926
     
    30313049    CFLAGS="$OPT_CFLAGS"
    30323050  fi
     3051
    30333052else
    30343053  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31983217    ;;
    31993218esac
     3219
     3220# check whether to add flags for static linking against standard libraries to LDFLAGS
     3221if test x$use_static_standardlibs != xno ; then
     3222  case $build in
     3223    *-mingw*)
     3224      static_standardlib_flag=-static
     3225      ;;
     3226    *)
     3227      static_standardlib_flag=-static-libgcc
     3228      ;;
     3229  esac
     3230  case " $LDFLAGS " in
     3231    *" $static_standardlib_flag "* ) ;;
     3232    *)
     3233    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3234echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3235    coin_save_LDFLAGS="$LDFLAGS"
     3236    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3237    cat >conftest.$ac_ext <<_ACEOF
     3238/* confdefs.h.  */
     3239_ACEOF
     3240cat confdefs.h >>conftest.$ac_ext
     3241cat >>conftest.$ac_ext <<_ACEOF
     3242/* end confdefs.h.  */
     3243
     3244int
     3245main ()
     3246{
     3247int i=0;
     3248  ;
     3249  return 0;
     3250}
     3251_ACEOF
     3252rm -f conftest.$ac_objext conftest$ac_exeext
     3253if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3254  (eval $ac_link) 2>conftest.er1
     3255  ac_status=$?
     3256  grep -v '^ *+' conftest.er1 >conftest.err
     3257  rm -f conftest.er1
     3258  cat conftest.err >&5
     3259  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3260  (exit $ac_status); } &&
     3261         { ac_try='test -z "$ac_c_werror_flag"
     3262                         || test ! -s conftest.err'
     3263  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3264  (eval $ac_try) 2>&5
     3265  ac_status=$?
     3266  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3267  (exit $ac_status); }; } &&
     3268         { ac_try='test -s conftest$ac_exeext'
     3269  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3270  (eval $ac_try) 2>&5
     3271  ac_status=$?
     3272  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3273  (exit $ac_status); }; }; then
     3274  echo "$as_me:$LINENO: result: yes" >&5
     3275echo "${ECHO_T}yes" >&6
     3276else
     3277  echo "$as_me: failed program was:" >&5
     3278sed 's/^/| /' conftest.$ac_ext >&5
     3279
     3280echo "$as_me:$LINENO: result: no" >&5
     3281echo "${ECHO_T}no" >&6
     3282       LDFLAGS="$coin_save_LDFLAGS"
     3283       if test $use_static_standardlibs = yes ; then
     3284         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3285echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3286   { (exit 1); exit 1; }; }
     3287       fi
     3288
     3289fi
     3290rm -f conftest.err conftest.$ac_objext \
     3291      conftest$ac_exeext conftest.$ac_ext
     3292    ;;
     3293  esac
     3294fi
    32003295
    32013296ac_ext=c
     
    50485143*-*-irix6*)
    50495144  # Find out which ABI we are using.
    5050   echo '#line 5050 "configure"' > conftest.$ac_ext
     5145  echo '#line 5145 "configure"' > conftest.$ac_ext
    50515146  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50525147  (eval $ac_compile) 2>&5
     
    66476742
    66486743# Provide some information about the compiler.
    6649 echo "$as_me:6649:" \
     6744echo "$as_me:6744:" \
    66506745     "checking for Fortran 77 compiler version" >&5
    66516746ac_compiler=`set X $ac_compile; echo $2`
     
    77147809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77157810   -e 's:$: $lt_compiler_flag:'`
    7716    (eval echo "\"\$as_me:7716: $lt_compile\"" >&5)
     7811   (eval echo "\"\$as_me:7811: $lt_compile\"" >&5)
    77177812   (eval "$lt_compile" 2>conftest.err)
    77187813   ac_status=$?
    77197814   cat conftest.err >&5
    7720    echo "$as_me:7720: \$? = $ac_status" >&5
     7815   echo "$as_me:7815: \$? = $ac_status" >&5
    77217816   if (exit $ac_status) && test -s "$ac_outfile"; then
    77227817     # The compiler can only warn and ignore the option if not recognized
     
    79828077   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79838078   -e 's:$: $lt_compiler_flag:'`
    7984    (eval echo "\"\$as_me:7984: $lt_compile\"" >&5)
     8079   (eval echo "\"\$as_me:8079: $lt_compile\"" >&5)
    79858080   (eval "$lt_compile" 2>conftest.err)
    79868081   ac_status=$?
    79878082   cat conftest.err >&5
    7988    echo "$as_me:7988: \$? = $ac_status" >&5
     8083   echo "$as_me:8083: \$? = $ac_status" >&5
    79898084   if (exit $ac_status) && test -s "$ac_outfile"; then
    79908085     # The compiler can only warn and ignore the option if not recognized
     
    80868181   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80878182   -e 's:$: $lt_compiler_flag:'`
    8088    (eval echo "\"\$as_me:8088: $lt_compile\"" >&5)
     8183   (eval echo "\"\$as_me:8183: $lt_compile\"" >&5)
    80898184   (eval "$lt_compile" 2>out/conftest.err)
    80908185   ac_status=$?
    80918186   cat out/conftest.err >&5
    8092    echo "$as_me:8092: \$? = $ac_status" >&5
     8187   echo "$as_me:8187: \$? = $ac_status" >&5
    80938188   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80948189   then
     
    1043110526  lt_status=$lt_dlunknown
    1043210527  cat > conftest.$ac_ext <<EOF
    10433 #line 10433 "configure"
     10528#line 10528 "configure"
    1043410529#include "confdefs.h"
    1043510530
     
    1053110626  lt_status=$lt_dlunknown
    1053210627  cat > conftest.$ac_ext <<EOF
    10533 #line 10533 "configure"
     10628#line 10628 "configure"
    1053410629#include "confdefs.h"
    1053510630
     
    1287512970   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1287612971   -e 's:$: $lt_compiler_flag:'`
    12877    (eval echo "\"\$as_me:12877: $lt_compile\"" >&5)
     12972   (eval echo "\"\$as_me:12972: $lt_compile\"" >&5)
    1287812973   (eval "$lt_compile" 2>conftest.err)
    1287912974   ac_status=$?
    1288012975   cat conftest.err >&5
    12881    echo "$as_me:12881: \$? = $ac_status" >&5
     12976   echo "$as_me:12976: \$? = $ac_status" >&5
    1288212977   if (exit $ac_status) && test -s "$ac_outfile"; then
    1288312978     # The compiler can only warn and ignore the option if not recognized
     
    1297913074   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1298013075   -e 's:$: $lt_compiler_flag:'`
    12981    (eval echo "\"\$as_me:12981: $lt_compile\"" >&5)
     13076   (eval echo "\"\$as_me:13076: $lt_compile\"" >&5)
    1298213077   (eval "$lt_compile" 2>out/conftest.err)
    1298313078   ac_status=$?
    1298413079   cat out/conftest.err >&5
    12985    echo "$as_me:12985: \$? = $ac_status" >&5
     13080   echo "$as_me:13080: \$? = $ac_status" >&5
    1298613081   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1298713082   then
     
    1454914644   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1455014645   -e 's:$: $lt_compiler_flag:'`
    14551    (eval echo "\"\$as_me:14551: $lt_compile\"" >&5)
     14646   (eval echo "\"\$as_me:14646: $lt_compile\"" >&5)
    1455214647   (eval "$lt_compile" 2>conftest.err)
    1455314648   ac_status=$?
    1455414649   cat conftest.err >&5
    14555    echo "$as_me:14555: \$? = $ac_status" >&5
     14650   echo "$as_me:14650: \$? = $ac_status" >&5
    1455614651   if (exit $ac_status) && test -s "$ac_outfile"; then
    1455714652     # The compiler can only warn and ignore the option if not recognized
     
    1465314748   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1465414749   -e 's:$: $lt_compiler_flag:'`
    14655    (eval echo "\"\$as_me:14655: $lt_compile\"" >&5)
     14750   (eval echo "\"\$as_me:14750: $lt_compile\"" >&5)
    1465614751   (eval "$lt_compile" 2>out/conftest.err)
    1465714752   ac_status=$?
    1465814753   cat out/conftest.err >&5
    14659    echo "$as_me:14659: \$? = $ac_status" >&5
     14754   echo "$as_me:14754: \$? = $ac_status" >&5
    1466014755   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1466114756   then
     
    1686016955   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1686116956   -e 's:$: $lt_compiler_flag:'`
    16862    (eval echo "\"\$as_me:16862: $lt_compile\"" >&5)
     16957   (eval echo "\"\$as_me:16957: $lt_compile\"" >&5)
    1686316958   (eval "$lt_compile" 2>conftest.err)
    1686416959   ac_status=$?
    1686516960   cat conftest.err >&5
    16866    echo "$as_me:16866: \$? = $ac_status" >&5
     16961   echo "$as_me:16961: \$? = $ac_status" >&5
    1686716962   if (exit $ac_status) && test -s "$ac_outfile"; then
    1686816963     # The compiler can only warn and ignore the option if not recognized
     
    1712817223   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1712917224   -e 's:$: $lt_compiler_flag:'`
    17130    (eval echo "\"\$as_me:17130: $lt_compile\"" >&5)
     17225   (eval echo "\"\$as_me:17225: $lt_compile\"" >&5)
    1713117226   (eval "$lt_compile" 2>conftest.err)
    1713217227   ac_status=$?
    1713317228   cat conftest.err >&5
    17134    echo "$as_me:17134: \$? = $ac_status" >&5
     17229   echo "$as_me:17229: \$? = $ac_status" >&5
    1713517230   if (exit $ac_status) && test -s "$ac_outfile"; then
    1713617231     # The compiler can only warn and ignore the option if not recognized
     
    1723217327   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1723317328   -e 's:$: $lt_compiler_flag:'`
    17234    (eval echo "\"\$as_me:17234: $lt_compile\"" >&5)
     17329   (eval echo "\"\$as_me:17329: $lt_compile\"" >&5)
    1723517330   (eval "$lt_compile" 2>out/conftest.err)
    1723617331   ac_status=$?
    1723717332   cat out/conftest.err >&5
    17238    echo "$as_me:17238: \$? = $ac_status" >&5
     17333   echo "$as_me:17333: \$? = $ac_status" >&5
    1723917334   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1724017335   then
     
    2015020245echo "$as_me:$LINENO: result: ${glpkmajorver}.${glpkminorver}" >&5
    2015120246echo "${ECHO_T}${glpkmajorver}.${glpkminorver}" >&6
    20152 if test x$glpkmajorver != x4 || test x$glpkminorver != x47 ; then
    20153   { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.47. Please update by rerunning get.GLPK\"" >&5
    20154 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.47. Please update by rerunning get.GLPK\"" >&2;}
     20247if test x$glpkmajorver != x4 || test x$glpkminorver != x48 ; then
     20248  { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.48. Please update by rerunning get.GLPK\"" >&5
     20249echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.48. Please update by rerunning get.GLPK\"" >&2;}
    2015520250   { (exit 1); exit 1; }; }
    2015620251fi
  • ThirdParty/Glpk/trunk/configure.ac

    r2652 r2711  
    6262glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/src/glpk.h`
    6363AC_MSG_RESULT([${glpkmajorver}.${glpkminorver}])
    64 if test x$glpkmajorver != x4 || test x$glpkminorver != x47 ; then
    65   AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.47. Please update by rerunning get.GLPK"])
     64if test x$glpkmajorver != x4 || test x$glpkminorver != x48 ; then
     65  AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.48. Please update by rerunning get.GLPK"])
    6666fi
    6767AC_SUBST(glpkmajorver)
  • ThirdParty/Glpk/trunk/get.Glpk

    r2639 r2711  
    22
    33set -e
    4 glpk_ver=4.47
     4glpk_ver=4.48
    55
    66wgetcmd=wget
Note: See TracChangeset for help on using the changeset viewer.